This question about Using an extension: Answered

SolrSearch canot find XMLpath in @INC

After I installed SolrPlugin and its dependencies, SolrSearch is getting an error.

Can't locate XMLpath in @INC (@INC contains: path-1.1.4path . path-thread-multi-2level path path-thread-multi-2level path path-thread-multi-2level path path-thread-multi-2level path path path-thread-multi-2level path path-1.1.4path path-1.1.4path-thread-multi-2level path-1.1.4path path-1.1.4path)

What do I need to do?

-- VickiBrown - 10 Jul 2012

This looks promising: http://foswiki.2555947.n2.nabble.com/XMLpath-error-td6994447.html

At the very end of a long thread it suggests installing XML::Easy. which I have done, but the error doesn't go away.

-- VickiBrown - 10 Jul 2012

I have also installed XML::LibXML to no avail.

-- VickiBrown - 11 Jul 2012

The problem goes away after installing the latest SolrPlugin code from SVN. I'll close this as answered. XML::Easy is the requirement.

-- VickiBrown - 11 Jul 2012

The problem goes away after installing the latest SolrPlugin code from SVN. I'll close this as answered. XML::Easy is the requirement.

-- VickiBrown - 11 Jul 2012
 

QuestionForm edit

Subject Using an extension
Extension SolrPlugin
Version Foswiki 1.1.4
Status Answered
Related Topics
Topic revision: r2 - 11 Jul 2012, VickiBrown - This page was cached on 17 Oct 2018 - 10:27.

The copyright of the content on this website is held by the contributing authors, except where stated elsewhere. See Copyright Statement. Creative Commons License    Legal Imprint    Privacy Policy